#!/bin/sh
#
# Copyright 2018 Intel Corporation.
# 
# This software and the related documents are Intel copyrighted materials, and your use of
# them is governed by the express license under which they were provided to you (License).
# Unless the License provides otherwise, you may not use, modify, copy, publish, distribute,
# disclose or transmit this software or the related documents without Intel's prior written
# permission.
# 
# This software and the related documents are provided as is, with no express or implied
# warranties, other than those that are expressly stated in the License.
#

export MLSL_ROOT=/opt/anaconda1anaconda2anaconda3

if [ -z "${I_MPI_ROOT}" ]
then
    export I_MPI_ROOT="${MLSL_ROOT}"
fi

if [ -z "${PATH}" ]
then
    export PATH="${MLSL_ROOT}/intel64/bin"
else
    export PATH="${MLSL_ROOT}/intel64/bin:${PATH}"
fi

if [ -z "${LD_LIBRARY_PATH}" ]
then
    export LD_LIBRARY_PATH="${MLSL_ROOT}/intel64/lib"
else
    export LD_LIBRARY_PATH="${MLSL_ROOT}/intel64/lib:${LD_LIBRARY_PATH}"
fi

if [ -z "${PYTHONPATH}" ]
then
    export PYTHONPATH="${MLSL_ROOT}/intel64/include"
else
    export PYTHONPATH="${MLSL_ROOT}/intel64/include:${PYTHONPATH}"
fi
